%define pgsql 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_pgsql: %{expand: %%global pgsql 1}}
%{?_without_pgsql: %{expand: %%global pgsql 0}}

%define major 16
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		ossp_uuid
Version:	1.6.2
Release:	%mkrel 16
Summary:    	OSSP uuid is a ISO-C:1999 application programming interface
License:    	GPLv2+
Group:      	Development/C
URL:		http://www.ossp.org/pkg/lib/uuid/
Source:		ftp://ftp.ossp.org/pkg/lib/uuid/uuid-%{version}.tar.gz
Patch0:		uuid-1.6.2-fix-perl-install.patch
Patch1:		uuid-1.6.2-fix-php-install.patch
Patch2:		uuid-1.6.2-fix-php-link.patch
%if %{pgsql}
BuildRequires:	postgresql-devel
%endif
BuildRequires:	perl-devel
#BuildRequires:	php-devel
BuildRequires:	php-cli

%description
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs

%package -n     %{libname}
Summary:        Main library for ossp-uuid
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs

%package        -n     %{develname}
Summary:        Header files for the ossp-uuid library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Conflicts:	libuuid-devel

%description    -n %{develname}
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs
These are .h files.

%package -n perl-OSSP-uuid
Summary:        Perl bindings for ossp-uuid
Group:          System/Libraries

%description -n perl-OSSP-uuid
This package contains perl bindings for %{name}.

%package -n php-OSSP-uuid
Summary:        PHP bindings for ossp-uuid
Group:          System/Libraries

%description -n php-OSSP-uuid
This package contains php bindings for %{name}.

%if %{pgsql}
%package -n     %{libname}-pgsql
Summary:        Postgresql library for ossp-uuid
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}-pgsql
OSSP uuid is a ISO-C:1999 application programming interface (API)
and corresponding command line interface (CLI) for the generation of
DCE 1.1, ISO/IEC 11578:1996 and IETF RFC-4122 compliant Universally
Unique Identifier (UUID). It supports DCE 1.1 variant UUIDs of version
1 (time and node based), version 3 (name based, MD5), version 4
(random number based) and version 5 (name based, SHA-1). Additional
API bindings are provided for the languages ISO-C++:1998, Perl:5 and
PHP:4/5. Optional backward compatibility exists for the ISO-C DCE-1.1
and Perl Data::UUID APIs
%endif

%prep
%setup -q  -n uuid-%{version}
%patch0 -p 1
%patch1 -p 1
%patch2 -p 0

%build
%configure2_5x --disable-static \
%if %{pgsql}
    --with-pgsql \
%endif
    --with-perl \
    --without-php
%make

%install
%makeinstall_std PHP_EXTENSIONDIR=%{_libdir}/php/extensions

find %{buildroot} -name '*.la' -delete

%if %{pgsql}
%post -n  %{libname}-pgsql
/bin/ln -s %{_libdir}/postgresql/uuid.so %{_libdir}/postgresql/uuid-ossp.so

%postun -n  %{libname}-pgsql
/bin/rm -f %{_libdir}/postgresql/uuid-ossp.so
%endif

%files
%doc OVERVIEW
%{_bindir}/uuid
%{_mandir}/man1/uuid.1*
#if %{pgsql}
#exclude %{_defaultdocdir}/lib64ossp_uuid16-pgsql/OVERVIEW
#exclude %{_defaultdocdir}/lib64ossp_uuid16/OVERVIEW
#endif

%files -n %{libname}
%{_libdir}/libuuid.so.%{major}{,.*}


%files  -n %{develname}
%{_libdir}/pkgconfig/uuid.pc
%{_includedir}/uuid.h
%{_bindir}/uuid-config
%{_libdir}/libuuid.so
%{_mandir}/man1/uuid-config.1*
%{_mandir}/man3/uuid.3*

%files -n perl-OSSP-uuid
%{perl_vendorarch}/OSSP
%{perl_vendorarch}/auto/OSSP
%{_mandir}/man3/OSSP::uuid.3*

%if %{pgsql}
%files -n %{libname}-pgsql
%{_libdir}/postgresql/uuid.so
%{_usr}/share/postgresql/uuid.sql
%endif




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.6.2-16.mga6
+ Revision: 1022171
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.6.2-15.mga6
+ Revision: 956585
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 tv <tv> 1.6.2-14.mga6
+ Revision: 846874
- rebuild with soname-ified perl

* Wed Jun 24 2015 sander85 <sander85> 1.6.2-13.mga6
+ Revision: 842496
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-12.mga5
+ Revision: 743851
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-11.mga5
+ Revision: 683285
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.6.2-10.mga5
+ Revision: 630736
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.6.2-9.mga4
+ Revision: 524160
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 1.6.2-8.mga4
+ Revision: 430424
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.6.2-7.mga3
+ Revision: 362249
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 fwang <fwang> 1.6.2-6.mga3
+ Revision: 294307
- disable php build until fixed upstream

  + jquelin <jquelin>
    - perl 5.16 rebuild

* Sun Jun 12 2011 sander85 <sander85> 1.6.2-5.mga2
+ Revision: 104900
- Rebuild for perl 5.14

* Thu Jan 13 2011 dmorgan <dmorgan> 1.6.2-4.mga1
+ Revision: 16655
- Remove mdv macros
- imported package ossp_uuid


* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 1.6.2-4mdv2011.0
+ Revision: 627159
- fix link of php binding
- use aclocal instead of its 1.7 version for phpize

* Thu Dec 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.2-3mdv2011.0
+ Revision: 622424
- add perl and php bindings

* Tue Jul 13 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.6.2-2mdv2011.0
+ Revision: 551531
- bump release?\194

* Sat May 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.6.2-1mdv2011.0
+ Revision: 545712
- import ossp_uuid


